'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _carbonComponentsReact = require('carbon-components-react');

var _Toaster = require('./modules/toaster/Toaster');

var _Toaster2 = _interopRequireDefault(_Toaster);

var _TxModal = require('./modules/tx/TxModal');

var _TxModal2 = _interopRequireDefault(_TxModal);

var _EnterPINModal = require('./modules/account/EnterPINModal');

var _EnterPINModal2 = _interopRequireDefault(_EnterPINModal);

var _ConfirmModal = require('./modules/modal/ConfirmModal');

var _ConfirmModal2 = _interopRequireDefault(_ConfirmModal);

var _Navbar = require('./components/Navbar');

var _Navbar2 = _interopRequireDefault(_Navbar);

var _Footer = require('./components/Footer');

var _Footer2 = _interopRequireDefault(_Footer);

var _actions = require('./redux/common/actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state) {
  return {
    isFetching: state.pui.common.isFetching
  };
};

var mapDispatchToProps = {
  setupHistory: _actions.setupHistory
};

var PolymathUI = function (_Component) {
  (0, _inherits3.default)(PolymathUI, _Component);

  function PolymathUI() {
    (0, _classCallCheck3.default)(this, PolymathUI);
    return (0, _possibleConstructorReturn3.default)(this, (PolymathUI.__proto__ || (0, _getPrototypeOf2.default)(PolymathUI)).apply(this, arguments));
  }

  (0, _createClass3.default)(PolymathUI, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.props.setupHistory(this.props.history);
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          ticker = _props.ticker,
          logo = _props.logo,
          title = _props.title,
          termsOfService = _props.termsOfService,
          privacyPolicy = _props.privacyPolicy;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_Navbar2.default, { ticker: ticker, logo: logo }),
        _react2.default.createElement(_Toaster2.default, null),
        _react2.default.createElement(_TxModal2.default, null),
        _react2.default.createElement(_EnterPINModal2.default, null),
        _react2.default.createElement(_ConfirmModal2.default, null),
        _react2.default.createElement(_Footer2.default, { title: title, termsOfService: termsOfService, privacyPolicy: privacyPolicy }),
        this.props.isFetching ? _react2.default.createElement(_carbonComponentsReact.Loading, null) : ''
      );
    }
  }]);
  return PolymathUI;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(PolymathUI);