'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _carbonComponentsReact = require('carbon-components-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var input = _ref.input,
      label = _ref.label,
      _ref$meta = _ref.meta,
      touched = _ref$meta.touched,
      error = _ref$meta.error,
      className = _ref.className,
      onChangeCode = _ref.onChangeCode,
      rest = (0, _objectWithoutProperties3.default)(_ref, ['input', 'label', 'meta', 'className', 'onChangeCode']);

  return _react2.default.createElement(_carbonComponentsReact.TextInput, (0, _extends3.default)({}, input, {
    id: input.name,
    labelText: label,
    invalid: touched && !!error,
    invalidText: error,
    className: className
    // eslint-disable-next-line
    , onChange: function onChange(event) {
      var value = event.target.value; // $FlowFixMe
      if (onChangeCode) {
        // $FlowFixMe
        onChangeCode(value);
      }
      return input.onChange(value || '');
    }
  }, rest));
};