'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactDocumentTitle = require('react-document-title');

var _reactDocumentTitle2 = _interopRequireDefault(_reactDocumentTitle);

var _carbonComponentsReact = require('carbon-components-react');

var _actions = require('./actions');

var _Remark = require('../../components/Remark');

var _Remark2 = _interopRequireDefault(_Remark);

var _key2 = require('../../../img/key.png');

var _key3 = _interopRequireDefault(_key2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state) {
  return {
    isSignInCancelled: state.pui.account.isSignInCancelled
  };
};

var mapDispatchToProps = {
  signIn: _actions.signIn
};

var SignInPage = function (_Component) {
  (0, _inherits3.default)(SignInPage, _Component);

  function SignInPage() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, SignInPage);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = SignInPage.__proto__ || (0, _getPrototypeOf2.default)(SignInPage)).call.apply(_ref, [this].concat(args))), _this), _this.handleSign = function () {
      _this.props.signIn();
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(SignInPage, [{
    key: 'render',
    value: function render() {
      var ico = _react2.default.createElement(
        'p',
        { align: 'center', style: { marginBottom: '15px', marginTop: '10px' } },
        _react2.default.createElement('img', { src: _key3.default, alt: 'Key' })
      );
      var desc = _react2.default.createElement(
        'span',
        null,
        'Once you have digitally signed the verification code with your MetaMask wallet, your wallet will allow you to single-sign into your Polymath account without the need for a dedicated username and password combination.'
      );

      if (this.props.isSignInCancelled) {
        return _react2.default.createElement(
          _reactDocumentTitle2.default,
          { title: 'Sign In \u2013 Polymath' },
          _react2.default.createElement(
            'div',
            { className: 'pui-single-box' },
            ico,
            _react2.default.createElement(
              'h2',
              { className: 'pui-h2', align: 'center', style: { lineHeight: '36px' } },
              'Digital Signature Failed.',
              _react2.default.createElement('br', null),
              'Please Sign Using Your Wallet'
            ),
            _react2.default.createElement(
              'h3',
              { className: 'pui-h3', align: 'center' },
              desc,
              ' To proceed with the signing operation, please click on \xABSIGN YOUR ACCOUNT\xBB.'
            ),
            _react2.default.createElement('br', null),
            _react2.default.createElement(
              _Remark2.default,
              { title: 'Note' },
              'This signing operation is not associated with any cost.'
            ),
            _react2.default.createElement(
              'p',
              { align: 'center' },
              _react2.default.createElement(
                _carbonComponentsReact.Button,
                { onClick: this.handleSign },
                'SIGN YOUR ACCOUNT'
              )
            )
          )
        );
      }

      return _react2.default.createElement(
        _reactDocumentTitle2.default,
        { title: 'Sign In \u2013 Polymath' },
        _react2.default.createElement(
          'div',
          { className: 'pui-single-box' },
          ico,
          _react2.default.createElement(
            'h2',
            { className: 'pui-h2', align: 'center' },
            'Sign In with Your Wallet'
          ),
          _react2.default.createElement(
            'h3',
            { className: 'pui-h3', align: 'center' },
            desc,
            ' This signing operation has no cost associated and can be completed by clicking on the \xABSIGN\xBB button in your MetaMask.'
          ),
          _react2.default.createElement('br', null),
          _react2.default.createElement(
            _Remark2.default,
            { title: 'Note' },
            'If MetaMask does not open automatically, please check that the browser extension does not have an outstanding request by clicking on its icon.'
          )
        )
      );
    }
  }]);
  return SignInPage;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(SignInPage);