'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactDocumentTitle = require('react-document-title');

var _reactDocumentTitle2 = _interopRequireDefault(_reactDocumentTitle);

var _reduxForm = require('redux-form');

var _SignUpForm = require('./SignUpForm');

var _SignUpForm2 = _interopRequireDefault(_SignUpForm);

var _actions = require('./actions');

var _ = require('../../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var formValue = (0, _reduxForm.formValueSelector)(_SignUpForm.formName);

var mapStateToProps = function mapStateToProps(state) {
  return {
    enableSubmit: !!formValue(state, 'acceptPrivacy') && !!formValue(state, 'acceptTerms')
  };
};

var mapDispatchToProps = {
  signUp: _actions.signUp
};

var SignUpPage = function (_Component) {
  (0, _inherits3.default)(SignUpPage, _Component);

  function SignUpPage() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, SignUpPage);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = SignUpPage.__proto__ || (0, _getPrototypeOf2.default)(SignUpPage)).call.apply(_ref, [this].concat(args))), _this), _this.handleSubmit = function () {
      _this.props.signUp();
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(SignUpPage, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactDocumentTitle2.default,
        { title: 'Sign Up \u2013 Polymath' },
        _react2.default.createElement(
          'div',
          { className: 'pui-single-box' },
          _react2.default.createElement(
            'div',
            { className: 'pui-single-box-header' },
            _react2.default.createElement(
              'div',
              { className: 'pui-single-box-bull' },
              _react2.default.createElement('img', { src: _.bull, alt: 'Bull' })
            ),
            _react2.default.createElement(
              'h1',
              { className: 'pui-h1' },
              'Create Your Account'
            ),
            _react2.default.createElement(
              'h3',
              { className: 'pui-h3' },
              'Start your private environment to select your Token symbol, create your Token, plan and execute your Security Token Offering.'
            )
          ),
          _react2.default.createElement(_SignUpForm2.default, { onSubmit: this.handleSubmit, enableSubmit: this.props.enableSubmit }),
          _react2.default.createElement(
            'p',
            { className: 'pui-input-hint' },
            'Polymath collects information to understand how you interact with the Service and to make improvements.',
            _react2.default.createElement('br', null),
            _react2.default.createElement(
              'a',
              {
                href: 'https://www.fullstory.com/optout/',
                target: '_blank',
                rel: 'noopener noreferrer'
              },
              'Click here to disable the collection of this information'
            )
          )
        )
      );
    }
  }]);
  return SignUpPage;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(SignUpPage);