'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var CONFIRM = exports.CONFIRM = 'polymath-ui/modal/CONFIRM';
var confirm = exports.confirm = function confirm(content, onConfirm) {
  var title = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 'Before You Proceed';
  var buttonLabel = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 'Confirm';
  var className = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : '';
  var headerLabel = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : 'Confirmation Required';
  var isAlert = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : false;
  return { type: CONFIRM, content: content, onConfirm: onConfirm, title: title, className: className, headerLabel: headerLabel, buttonLabel: buttonLabel, isAlert: isAlert };
};

var CLOSE = exports.CLOSE = 'polymath-ui/modal/CLOSE';
var closeModal = exports.closeModal = function closeModal() {
  return { type: CLOSE };
};