'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _carbonComponentsReact = require('carbon-components-react');

var _reactRedux = require('react-redux');

var _actions = require('./actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-next-line $FlowFixMe

/* eslint-disable jsx-a11y/click-events-have-key-events, react/no-danger */
var mapStateToProps = function mapStateToProps(state) {
  return {
    isOpen: state.pui.notice.isOpen,
    notice: state.pui.notice.notice
  };
};

var mapDispatchToProps = {
  closeNotice: _actions.closeNotice
};

var NoticeBar = function (_Component) {
  (0, _inherits3.default)(NoticeBar, _Component);

  function NoticeBar() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, NoticeBar);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = NoticeBar.__proto__ || (0, _getPrototypeOf2.default)(NoticeBar)).call.apply(_ref, [this].concat(args))), _this), _this.handleClose = function () {
      _this.props.closeNotice();
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(NoticeBar, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          isOpen = _props.isOpen,
          notice = _props.notice;

      if (!isOpen) {
        return _react2.default.createElement('span', null);
      }
      var kind = notice.type;
      return _react2.default.createElement(
        'div',
        { className: 'pui-notice-bar pui-notice-bar-' + kind },
        _react2.default.createElement(
          'div',
          { className: 'pui-notice-bar-contents' },
          _react2.default.createElement(
            'div',
            { className: 'pui-notice-bar-title' },
            _react2.default.createElement(_carbonComponentsReact.Icon, { name: kind + '--glyph', fill: '#ffffff', width: '24', height: '25' }),
            notice.title
          ),
          _react2.default.createElement('div', { className: 'pui-notice-bar-text', dangerouslySetInnerHTML: { __html: notice.content } }),
          _react2.default.createElement(
            'div',
            { role: 'button', className: 'pui-notice-bar-close', onClick: this.handleClose, tabIndex: 0 },
            _react2.default.createElement(_carbonComponentsReact.Icon, { name: 'close--glyph', fill: '#ffffff', width: '16', height: '16' })
          )
        )
      );
    }
  }]);
  return NoticeBar;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(NoticeBar);