'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require('react-router-dom');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Sidebar = function (_Component) {
  (0, _inherits3.default)(Sidebar, _Component);

  function Sidebar() {
    (0, _classCallCheck3.default)(this, Sidebar);
    return (0, _possibleConstructorReturn3.default)(this, (Sidebar.__proto__ || (0, _getPrototypeOf2.default)(Sidebar)).apply(this, arguments));
  }

  (0, _createClass3.default)(Sidebar, [{
    key: 'items',


    // noinspection JSMethodCanBeStatic
    value: function items(_items) {
      return _react2.default.createElement(
        'ul',
        null,
        _items.map(function (item) {
          return item.isDisabled ? _react2.default.createElement(
            'li',
            { key: item.to, className: 'disabled' },
            item.icon,
            _react2.default.createElement(
              'p',
              null,
              item.title
            )
          ) : _react2.default.createElement(
            _reactRouterDom.Link,
            { key: item.to, to: item.to },
            _react2.default.createElement(
              'li',
              { className: item.isActive ? 'active' : '' },
              item.icon,
              _react2.default.createElement(
                'p',
                null,
                item.title
              )
            )
          );
        })
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          topItems = _props.topItems,
          bottomItems = _props.bottomItems;

      return _react2.default.createElement(
        'div',
        { className: 'pui-sidebar' },
        this.items(topItems),
        this.items(bottomItems)
      );
    }
  }]);
  return Sidebar;
}(_react.Component);

exports.default = Sidebar;