'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _carbonComponentsReact = require('carbon-components-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CheckboxInput = function (_Component) {
  (0, _inherits3.default)(CheckboxInput, _Component);

  function CheckboxInput() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, CheckboxInput);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = CheckboxInput.__proto__ || (0, _getPrototypeOf2.default)(CheckboxInput)).call.apply(_ref, [this].concat(args))), _this), _this.handleChange = function (value) {
      var input = _this.props.input;

      return input.onChange(value instanceof Array ? value[0] : value);
    }, _this.getValue = function () {
      var input = _this.props.input;

      return typeof input.value === 'string' ? false : input.value;
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(CheckboxInput, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          input = _props.input,
          label = _props.label,
          className = _props.className,
          rest = (0, _objectWithoutProperties3.default)(_props, ['input', 'label', 'className']);


      return (
        // $FlowFixMe
        _react2.default.createElement(
          _react2.default.Fragment,
          null,
          _react2.default.createElement(_carbonComponentsReact.Checkbox, (0, _extends3.default)({}, input, {
            id: input.name,
            checked: this.getValue(),
            onChange: this.handleChange,
            labelText: label,
            className: className
          }, rest))
        )
      );
    }
  }]);
  return CheckboxInput;
}(_react.Component);

exports.default = CheckboxInput;