'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _carbonComponentsReact = require('carbon-components-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/jsx-no-bind, no-useless-escape */

exports.default = function (_ref) {
  var input = _ref.input,
      label = _ref.label,
      _ref$meta = _ref.meta,
      touched = _ref$meta.touched,
      error = _ref$meta.error,
      className = _ref.className,
      rest = (0, _objectWithoutProperties3.default)(_ref, ['input', 'label', 'meta', 'className']);

  var invalid = touched && !!error;
  return _react2.default.createElement(
    _carbonComponentsReact.DatePicker,
    {
      id: input.name,
      className: className,
      datePickerType: 'single'
      // eslint-disable-next-line
      , onChange: function onChange(date) {
        input.onChange(date || null);
      },
      dateFormat: 'm / d / Y'
    },
    _react2.default.createElement(_carbonComponentsReact.DatePickerInput, (0, _extends3.default)({
      labelText: label,
      placeholder: 'mm / dd / yyyy',
      id: input.name,
      invalid: invalid,
      invalidText: error,
      onClick: function onClick() {},
      onChange: function onChange() {},
      pattern: null
    }, rest))
  );
};