'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _carbonComponentsReact = require('carbon-components-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
  var input = _ref.input,
      options = _ref.options,
      label = _ref.label,
      className = _ref.className,
      placeholder = _ref.placeholder,
      rest = (0, _objectWithoutProperties3.default)(_ref, ['input', 'options', 'label', 'className', 'placeholder']);

  return _react2.default.createElement(
    _carbonComponentsReact.Select,
    (0, _extends3.default)({
      id: input.name,
      name: input.name,
      className: className,
      defaultValue: 'placeholder-item',
      labelText: label
      // eslint-disable-next-line
      , onChange: function onChange(event) {
        var value = event.target.value;
        return input.onChange(value || '');
      }
    }, rest),
    _react2.default.createElement(_carbonComponentsReact.SelectItem, {
      disabled: true,
      hidden: true,
      value: 'placeholder-item',
      text: placeholder
    }),
    options.map(function (_ref2) {
      var value = _ref2.value,
          label = _ref2.label;
      return _react2.default.createElement(_carbonComponentsReact.SelectItem, { key: value, value: value, text: label });
    })
  );
};