'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _reactDocumentTitle = require('react-document-title');

var _reactDocumentTitle2 = _interopRequireDefault(_reactDocumentTitle);

var _carbonComponentsReact = require('carbon-components-react');

var _actions = require('./actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapDispatchToProps = {
  emailConfirmed: _actions.emailConfirmed
};

var SignUpSuccessPage = function (_Component) {
  (0, _inherits3.default)(SignUpSuccessPage, _Component);

  function SignUpSuccessPage() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, SignUpSuccessPage);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = SignUpSuccessPage.__proto__ || (0, _getPrototypeOf2.default)(SignUpSuccessPage)).call.apply(_ref, [this].concat(args))), _this), _this.handleContinue = function () {
      _this.props.emailConfirmed();
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(SignUpSuccessPage, [{
    key: 'componentWillMount',
    value: function componentWillMount() {
      this.props.onWillMount();
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _reactDocumentTitle2.default,
        { title: 'Sign Up \u2013 Polymath' },
        _react2.default.createElement(
          'div',
          { className: 'pui-single-box' },
          _react2.default.createElement(
            'p',
            { align: 'center', style: { marginBottom: '15px', marginTop: '10px' } },
            _react2.default.createElement(_carbonComponentsReact.Icon, { name: 'checkmark--outline', fill: '#00AA5E', width: '64', height: '64' })
          ),
          _react2.default.createElement(
            'h2',
            { className: 'pui-h2', align: 'center' },
            'Successfully Verified Email and Your Account Is Activated'
          ),
          _react2.default.createElement(
            'h3',
            { className: 'pui-h3', align: 'center' },
            this.props.text
          ),
          _react2.default.createElement('br', null),
          _react2.default.createElement(
            'p',
            { align: 'center' },
            _react2.default.createElement(
              _carbonComponentsReact.Button,
              { onClick: this.handleContinue },
              this.props.continueLabel
            )
          )
        )
      );
    }
  }]);
  return SignUpSuccessPage;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(null, mapDispatchToProps)(SignUpSuccessPage);