'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _carbonComponentsReact = require('carbon-components-react');

var _actions = require('./actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state) {
  return state.pui.modal;
};

var mapDispatchToProps = {
  closeModal: _actions.closeModal
};

var ConfirmModal = function (_Component) {
  (0, _inherits3.default)(ConfirmModal, _Component);

  function ConfirmModal() {
    var _ref;

    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, ConfirmModal);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = ConfirmModal.__proto__ || (0, _getPrototypeOf2.default)(ConfirmModal)).call.apply(_ref, [this].concat(args))), _this), _this.handleClose = function () {
      _this.props.closeModal();
    }, _this.handleConfirm = function () {
      _this.props.closeModal();
      _this.props.onConfirm();
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  (0, _createClass3.default)(ConfirmModal, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        _carbonComponentsReact.ComposedModal,
        { open: this.props.isOpen, className: 'pui-confirm-modal ' + this.props.className },
        _react2.default.createElement(_carbonComponentsReact.ModalHeader, {
          label: this.props.headerLabel,
          title: _react2.default.createElement(
            'span',
            null,
            _react2.default.createElement(_carbonComponentsReact.Icon, { name: 'warning--glyph', fill: '#E71D32', width: '24', height: '24' }),
            '\xA0',
            this.props.title
          ) // eslint-disable-next-line react/jsx-handler-names
          , buttonOnClick: this.handleClose
        }),
        _react2.default.createElement(
          _carbonComponentsReact.ModalBody,
          null,
          _react2.default.createElement(
            'div',
            { className: 'bx--modal-content__text' },
            this.props.content
          )
        ),
        _react2.default.createElement(
          _carbonComponentsReact.ModalFooter,
          null,
          !this.props.isAlert ? _react2.default.createElement(
            _carbonComponentsReact.Button,
            { kind: 'secondary', onClick: this.handleClose },
            'Cancel'
          ) : '',
          _react2.default.createElement(
            _carbonComponentsReact.Button,
            { onClick: this.handleConfirm },
            this.props.buttonLabel
          )
        )
      );
    }
  }]);
  return ConfirmModal;
}(_react.Component);

exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(ConfirmModal);