'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.closeNotice = exports.CLOSE = exports.getNotice = exports.NOTICE = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _offchain = require('../../offchain');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NOTICE = exports.NOTICE = 'polymath-ui/notice/NOTICE';
var getNotice = exports.getNotice = function getNotice(scope) {
  return function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(dispatch) {
      var notice, lsId;
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              _context.next = 2;
              return (0, _offchain.notice)(scope);

            case 2:
              notice = _context.sent;

              if (notice) {
                _context.next = 5;
                break;
              }

              return _context.abrupt('return');

            case 5:
              if (!notice.isOneTime) {
                _context.next = 10;
                break;
              }

              // eslint-disable-next-line no-underscore-dangle
              lsId = 'notice-' + notice._id;

              if (!localStorage.getItem(lsId)) {
                _context.next = 9;
                break;
              }

              return _context.abrupt('return');

            case 9:
              localStorage.setItem(lsId, true);

            case 10:
              dispatch({ type: NOTICE, notice: notice });

            case 11:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};

var CLOSE = exports.CLOSE = 'polymath-ui/notice/CLOSE';
var closeNotice = exports.closeNotice = function closeNotice() {
  return { type: CLOSE };
};