'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.notify = exports.notifyAction = exports.NOTIFY = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var NOTIFY = exports.NOTIFY = 'polymath-ui/toaster/NOTIFY';

var notifyAction = exports.notifyAction = function notifyAction(notify) {
  return { type: NOTIFY, notify: notify };
};
var notify = exports.notify = function notify(title) {
  var isSuccess = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
  var subtitle = arguments[2];
  var caption = arguments[3];
  var isPinned = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
  return function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(dispatch) {
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              dispatch(notifyAction({ title: title, isSuccess: isSuccess, subtitle: subtitle, caption: caption, isPinned: isPinned }));

            case 1:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));

    return function (_x3) {
      return _ref.apply(this, arguments);
    };
  }();
};