'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.fetchingFailed = exports.FETCHING_FAILED = exports.fetched = exports.FETCHED = exports.fetching = exports.FETCHING = exports.setupHistory = exports.SETUP_HISTORY = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SETUP_HISTORY = exports.SETUP_HISTORY = 'polymath-ui/SETUP_HISTORY';
var setupHistory = exports.setupHistory = function setupHistory(history) {
  return { type: SETUP_HISTORY, history: history };
};

var FETCHING = exports.FETCHING = 'polymath-ui/FETCHING';
var fetching = exports.fetching = function fetching() {
  return { type: FETCHING };
};

var FETCHED = exports.FETCHED = 'polymath-ui/FETCHED';
var fetched = exports.fetched = function fetched() {
  return { type: FETCHED };
};

var FETCHING_FAILED = exports.FETCHING_FAILED = 'polymath-ui/FETCHING_FAILED';
var fetchingFailed = exports.fetchingFailed = function fetchingFailed(e) {
  return function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(dispatch) {
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              // eslint-disable-next-line
              console.error('Fetching failed', e);
              dispatch({ type: FETCHING_FAILED, message: e.message });

            case 2:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, undefined);
    }));

    return function (_x) {
      return _ref.apply(this, arguments);
    };
  }();
};